Package rdkit :: Package ML :: Package Data :: Module Stats

[hide private]
[frames] | no frames]

# Module Stats

source code

    various statistical operations on data

Functions | [hide private]

StandardizeMatrix(mat) This is the standard *subtract off the average and divide by the deviation* standardization function. | source code

FormCovarianceMatrix(mat) form and return the covariance matrix | source code

FormCorrelationMatrix(mat) form and return the covariance matrix | source code

PrincipalComponents(mat, reverseOrder=1) do a principal components analysis | source code

TransformPoints(tFormMat, pts) transforms a set of points using tFormMat | source code

MeanAndDev(vect, sampleSD=1) returns the mean and standard deviation of a vector | source code

R2(orig, residSum) returns the R2 value for a set of predictions | source code

GetConfidenceInterval(sd, n, level=95) | source code

Variables | [hide private]

| tConfs = ``{`80`:` 1`,` 90`:` 2`,` 95`:` 3`,` 98`:` 4`,` 99`:` 5`,` 99.8`:` 6`,` 99.9`:` 7`}``
| tTable = ``[``[`1`,` 3.078`,` 6.314`,` 12.71`,` 31.82`,` 63.66`,` 318.3`,` 637`]``,` `...``
| __package__ = ``'``rdkit.ML.Data``'``

Imports: numpy

Function Details | [hide private]

### StandardizeMatrix(mat)

source code

    This is the standard *subtract off the average and divide by the deviation*
    standardization function.

     **Arguments**

       - mat: a numpy array

     **Notes**

       - in addition to being returned, _mat_ is modified in place, so **beware**

### TransformPoints(tFormMat, pts)

source code

    transforms a set of points using tFormMat

    **Arguments**

      - tFormMat: a numpy array

      - pts: a list of numpy arrays (or a 2D array)

    **Returns**

      a list of numpy arrays

Variables Details | [hide private]

### tTable

Value:

      [[1, 3.078, 6.314, 12.71, 31.82, 63.66, 318.3, 637],
       [2, 1.886, 2.92, 4.303, 6.965, 9.925, 22.33, 31.6],
       [3, 1.638, 2.353, 3.182, 4.541, 5.841, 10.21, 12.92],
       [4, 1.533, 2.132, 2.776, 3.747, 4.604, 7.173, 8.61],
       [5, 1.476, 2.015, 2.571, 3.365, 4.032, 5.893, 6.869],
       [6, 1.44, 1.943, 2.447, 3.143, 3.707, 5.208, 5.959],
       [7, 1.415, 1.895, 2.365, 2.998, 3.499, 4.785, 5.408],
       [8, 1.397, 1.86, 2.306, 2.896, 3.355, 4.501, 5.041],
      ...